Skip to main content
POST
/
table
/
{tableId}
/
view
/
{viewId}
/
duplicate
cURL
curl --request POST \
  --url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/duplicate \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","type":"grid","description":"string","order":0,"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"},"sort":{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true},"filter":{},"group":[{"fieldId":"string","order":"asc"}],"isLocked":true,"shareId":"string","enableShare":true,"shareMeta":{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}},"columnMeta":{"property1":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"},"property2":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}}'
const url = 'https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/duplicate';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","type":"grid","description":"string","order":0,"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"},"sort":{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true},"filter":{},"group":[{"fieldId":"string","order":"asc"}],"isLocked":true,"shareId":"string","enableShare":true,"shareMeta":{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}},"columnMeta":{"property1":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"},"property2":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/table/%7BtableId%7D/view/%7BviewId%7D/duplicate',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
name: 'string',
type: 'grid',
description: 'string',
order: 0,
options: {
rowHeight: 'short',
fieldNameDisplayLines: 1,
frozenColumnCount: 0,
frozenFieldId: 'string'
},
sort: {sortObjs: [{fieldId: 'string', order: 'asc'}], manualSort: true},
filter: {},
group: [{fieldId: 'string', order: 'asc'}],
isLocked: true,
shareId: 'string',
enableShare: true,
shareMeta: {
allowCopy: true,
includeHiddenField: true,
password: 'string',
includeRecords: true,
submit: {allow: true, requireLogin: true}
},
columnMeta: {
property1: {order: 0, width: 0, hidden: true, statisticFunc: 'count'},
property2: {order: 0, width: 0, hidden: true, statisticFunc: 'count'}
}
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\",\"type\":\"grid\",\"description\":\"string\",\"order\":0,\"options\":{\"rowHeight\":\"short\",\"fieldNameDisplayLines\":1,\"frozenColumnCount\":0,\"frozenFieldId\":\"string\"},\"sort\":{\"sortObjs\":[{\"fieldId\":\"string\",\"order\":\"asc\"}],\"manualSort\":true},\"filter\":{},\"group\":[{\"fieldId\":\"string\",\"order\":\"asc\"}],\"isLocked\":true,\"shareId\":\"string\",\"enableShare\":true,\"shareMeta\":{\"allowCopy\":true,\"includeHiddenField\":true,\"password\":\"string\",\"includeRecords\":true,\"submit\":{\"allow\":true,\"requireLogin\":true}},\"columnMeta\":{\"property1\":{\"order\":0,\"width\":0,\"hidden\":true,\"statisticFunc\":\"count\"},\"property2\":{\"order\":0,\"width\":0,\"hidden\":true,\"statisticFunc\":\"count\"}}}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/table/%7BtableId%7D/view/%7BviewId%7D/duplicate", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "id": "<string>",
  "name": "<string>",
  "createdBy": "<string>",
  "createdTime": "<string>",
  "columnMeta": {},
  "description": "<string>",
  "order": 123,
  "options": {
    "fieldNameDisplayLines": 2,
    "frozenColumnCount": 1,
    "frozenFieldId": "<string>"
  },
  "sort": {
    "sortObjs": [
      {
        "fieldId": "<string>"
      }
    ],
    "manualSort": true
  },
  "filter": {},
  "group": [
    {
      "fieldId": "<string>"
    }
  ],
  "isLocked": true,
  "shareId": "<string>",
  "enableShare": true,
  "shareMeta": {
    "allowCopy": true,
    "includeHiddenField": true,
    "password": "<string>",
    "includeRecords": true,
    "submit": {
      "allow": true,
      "requireLogin": true
    }
  },
  "lastModifiedBy": "<string>",
  "lastModifiedTime": "<string>",
  "pluginId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tableId
string
required
viewId
string
required

Body

application/json
type
enum<string>
required
Available options:
grid,
calendar,
kanban,
form,
gallery,
plugin
name
string
description
string
order
number
options
object
sort
object | null
filter
object

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

group
object[] | null
isLocked
boolean
shareId
string
enableShare
boolean
shareMeta
object
columnMeta
object

A mapping of view IDs to their corresponding column metadata.

Response

201 - application/json

Returns data about a view.

id
string
required
name
string
required
type
enum<string>
required
Available options:
grid,
calendar,
kanban,
form,
gallery,
plugin
createdBy
string
required
createdTime
string
required
columnMeta
object
required

A mapping of view IDs to their corresponding column metadata.

description
string
order
number
options
object
sort
object | null
filter
object

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

group
object[] | null
isLocked
boolean
shareId
string
enableShare
boolean
shareMeta
object
lastModifiedBy
string
lastModifiedTime
string
pluginId
string
Last modified on March 5, 2026